Skip to main content
GET
List API keys of a merchant

Authorizations

Authorization
string
header
required

JWT token for user authentication

Path Parameters

merchantId
string
required

The merchant ID

Response

List of active API keys (masked)

id
string
required
Example:

"123e4567-e89b-12d3-a456-426614174000"

name
string
required
Example:

"Production backend"

prefix
string
required

First 7 characters of the key, for masked display

Example:

"ak_Ab12"

last4
string
required

Last 4 characters of the key, for masked display

Example:

"x9Zk"

permissions
string[]
required
Example:
last_used_at
string<date-time> | null
required

Last authentication with this key (updated at most every 5 minutes)

Example:

"2026-07-20T12:00:00Z"

expires_at
string<date-time> | null
required

When the key stops authenticating; null means it never expires

Example:

null

revoked_at
string<date-time> | null
required

When the key was revoked; null means it is active

Example:

null

created_at
string<date-time>
required
Example:

"2026-07-01T00:00:00Z"